complexType "DividendPayout"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 5 elements
Defined: | globally in fpml-asset-5-5.xsd; see XML source
Includes: | definitions of 5 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | ((dividendPayoutRatio?, dividendPayoutRatioCash?, dividendPayoutRatioNonCash?) | dividendPayoutConditions)?, dividendPayment*
</...>

Content Model Elements (5):

  dividendPayment, dividendPayoutConditions, dividendPayoutRatio, dividendPayoutRatioCash, dividendPayoutRatioNonCash

All Direct / Indirect Based Elements (1):

  dividendPayout

Known Usage Locations

- As direct type of elements (1):
  dividendPayout

Annotation
A type describing the dividend payout ratio associated with an equity underlyer. In certain cases the actual ratio is not known on trade inception, and only general conditions are then specified.
XML Source (w/o annotations (7); see within schema source)

<xsd:complexType name="DividendPayout"> <xsd:sequence> <xsd:choice minOccurs="0"> <!-- APP added for EQS PSA CFD proposal --> <xsd:sequence> <xsd:element minOccurs="0" name="dividendPayoutRatio" type="xsd:decimal"/> <xsd:element minOccurs="0" name="dividendPayoutRatioCash" type="xsd:decimal"/> <xsd:element minOccurs="0" name="dividendPayoutRatioNonCash" type="xsd:decimal"/> </xsd:sequence> <xsd:element name="dividendPayoutConditions" type="xsd:string"/> </xsd:choice> <xsd:element maxOccurs="unbounded" minOccurs="0" name="dividendPayment" type="PendingPayment"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 5/5)
dividendPayment

  Type: | PendingPayment, complex content

  The next upcoming dividend payment or payments.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="dividendPayment" type="PendingPayment"/>

dividendPayoutConditions

  Type: | xsd:string, predefined, simple content

  Specifies the dividend payout conditions that will be applied in the case where the actual ratio is not known, typically because of regulatory or legal uncertainties.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="dividendPayoutConditions" type="xsd:string"/>

dividendPayoutRatio

  Type: | xsd:decimal, predefined, simple content

  Specifies the total actual dividend payout ratio associated with the equity underlyer.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="dividendPayoutRatio" type="xsd:decimal"/>

dividendPayoutRatioCash

  Type: | xsd:decimal, predefined, simple content

  Specifies the cash actual dividend payout ratio associated with the equity underlyer.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="dividendPayoutRatioCash" type="xsd:decimal"/>

dividendPayoutRatioNonCash

  Type: | xsd:decimal, predefined, simple content

  Specifies the non cash actual dividend payout ratio associated with the equity underlyer.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="dividendPayoutRatioNonCash" type="xsd:decimal"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.